SYD-SYS(1)

NAME

syd-sys - lookup system calls by numbers or regular expressions

SYNOPSIS

syd-sys [-a arch] number|regex

syd-sys -a list

DESCRIPTION

Given a number, syd-sys prints the matching syscall name.

Given a regex, syd-sys prints case-insensitively matching syscall names.

OPTIONS

-a | Specify alternative architecture, such as x86, x86_64 and aarch64.
 | Use list to print the list of libseccomp supported architectures.

SEE ALSO

syd(1), syd(2), syd(5), syscall(2)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.